Bug 74616 - gcc ICE on ppc at -O2
Summary: gcc ICE on ppc at -O2
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: powerpc Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-27 17:10 UTC by Guy Streeter
Modified: 2016-02-10 01:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 09:32:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source file that causes the ICE (352 bytes, text/plain)
2002-09-27 17:10 UTC, Guy Streeter
no flags Details

Description Guy Streeter 2002-09-27 17:10:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I have a short test-case for an unrecognizable insn ICE at -O2 or higher.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.on ppc, gcc -O2 screen.c (source file will be attached)
2.
3.
	

Actual Results:  screen.c: In function `workspace_layout':
screen.c:17: unrecognizable insn:
(insn 117 48 118 (parallel[
            (set (reg/v:SI 10 r10 [118])
                (plus:SI (gt:SI (reg:SI 0 r0 [141])
                        (const_int 0 [0x0]))
                    (reg:SI 9 r9 [134])))
            (clobber (reg:SI 8 r8))
        ] ) -1 (nil)
    (nil))
screen.c:17: Internal compiler error in extract_insn, at recog.c:2148


Expected Results:  successful compile

Additional info:

does not fail at -O1 or lower. The test case is reduced from a source file in
metacity.

Comment 1 Guy Streeter 2002-09-27 17:10:56 UTC
Created attachment 77506 [details]
source file that causes the ICE

Comment 2 Richard Henderson 2004-10-03 09:32:59 UTC
Works with gcc 3.3.


Note You need to log in before you can comment on or make changes to this bug.